package gl4gcj;

/**
*
* @author  SAWAI, Masahiko
* @version 1.00, 01/23/03
*/
public
class GLException extends RuntimeException 
{
	/**
	* Constructs an <code>GLException</code> with no 
	* detail message. 
	**/
	public GLException() 
	{
		super(GL.glGetErrorString());
	}

	/**
	* Constructs an <code>GLException</code> with the 
	* specified detail message. 
	*
	* @param   message   the detail message.
	*/
	public GLException(String message) {
		super(message);
	}

}
